Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf
Class MessageEx

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.ibm.maf.MAFException
                        |
                        +--com.ibm.maf.MAFExtendedException
                              |
                              +--com.ibm.maf.MessageEx

All Implemented Interfaces:
  java.io.Serializable

public final class MessageEx
extends MAFExtendedException

See Also:
  Serialized Form

Constructor Summary
`MessageEx()`
`MessageEx(java.lang.String msg, java.lang.Throwable ex)`
`MessageEx(java.lang.Throwable ex)`

Method Summary
`static java.lang.Throwable` | `deserialize(java.io.DataInput in)`
`java.lang.Throwable` | `getException()`
`static MessageEx` | `read(java.io.DataInput in)`
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageEx

    public MessageEx()

### MessageEx

    public MessageEx(java.lang.String msg,
                     java.lang.Throwable ex)

### MessageEx

    public MessageEx(java.lang.Throwable ex)

Method Detail

### deserialize

    public static java.lang.Throwable deserialize(java.io.DataInput in)
                                           throws java.io.IOException

### getException

    public java.lang.Throwable getException()

### read

    public static MessageEx read(java.io.DataInput in)
                          throws java.io.IOException

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD